summaryrefslogtreecommitdiff
path: root/dev-python/flit
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-03-27 08:38:23 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-03-27 08:38:23 +0000
commit3dc05ee008364ac3c1722174d91e2ad554c6de20 (patch)
tree518684a5574e8dabce7c37bbbe53597dd56ac5bb /dev-python/flit
parent3d019071349af5a1b42508fb13071252c7eb1d3a (diff)
downloadbaldeagleos-repo-3dc05ee008364ac3c1722174d91e2ad554c6de20.tar.gz
baldeagleos-repo-3dc05ee008364ac3c1722174d91e2ad554c6de20.tar.xz
baldeagleos-repo-3dc05ee008364ac3c1722174d91e2ad554c6de20.zip
Adding metadata
Diffstat (limited to 'dev-python/flit')
-rw-r--r--dev-python/flit/Manifest1
-rw-r--r--dev-python/flit/flit-3.12.0.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/flit/Manifest b/dev-python/flit/Manifest
index fe3dad49a8a0..2490d40415e5 100644
--- a/dev-python/flit/Manifest
+++ b/dev-python/flit/Manifest
@@ -1 +1,2 @@
DIST flit-3.11.0.tar.gz 153236 BLAKE2B b06660e1b57279b0d855dad6116e25115c9c52eae5fb8654b79608661affff8e98a2aaf011c0cb4eb940047a6d219825382e3db6266a6a1cc919bb16c6fadf67 SHA512 704774ab9b8154056a82f59814c2589ad4b3c8593a8e0de75eae99b1517211790604988efaf4f32e5f49fd472ec00efe8269b72524f285a647f4b8126699a4b7
+DIST flit-3.12.0.tar.gz 155038 BLAKE2B f38d846b78a4840fb94869393c5b757fbf54cf871d0318abdfa9172ddde22e0f2848b3ea4a51df57bce8539fb185308628f78d3e88c2ecd20d9ec51f9b825df9 SHA512 f8ed1f0e53452def182453db91a44c9ded5413fe74e2678bb7d56b3640d6ba6f43cccb55ad73e939cc5ca236fa2bf7b3e0f6d77fe4a4f12f90a9e437b561edb2
diff --git a/dev-python/flit/flit-3.12.0.ebuild b/dev-python/flit/flit-3.12.0.ebuild
new file mode 100644
index 000000000000..b144ff861185
--- /dev/null
+++ b/dev-python/flit/flit-3.12.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2019-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simplified packaging of Python modules"
+HOMEPAGE="
+ https://github.com/pypa/flit/
+ https://flit.readthedocs.io/
+ https://pypi.org/project/flit/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~x86"
+
+RDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ >=dev-python/flit-core-${PV}[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ sys-apps/grep
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # requires Internet
+ tests/test_config.py::test_invalid_classifier
+ # failing due to Gentoo pip patches
+ tests/test_install.py::InstallTests::test_install_data_dir
+ tests/test_install.py::InstallTests::test_install_module_pep621
+ tests/test_install.py::InstallTests::test_symlink_data_dir
+ tests/test_install.py::InstallTests::test_symlink_module_pep621
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc \
+ dev-python/sphinxcontrib-github-alt \
+ dev-python/pygments-github-lexers \
+ dev-python/sphinx-rtd-theme
+
+src_prepare() {
+ # make sure system install is used
+ rm -r flit_core || die
+ distutils-r1_src_prepare
+}